var override_queryfields = [
{
	name : 'lease_start_date_from',
	queryexpression : "trunc(t1.lease_start_date) >= to_date(${@lease_start_date_from},'yyyy-mm-dd')"
},
{
	name : 'lease_start_date_to',
	queryexpression : "trunc(t1.lease_start_date) <= to_date(${@lease_start_date_to},'yyyy-mm-dd')"
},
{
	name : 'contract_number_from',
	queryexpression : "t1.contract_number >= ${@contract_number_from}"
},
{
	name : 'contract_number_to',
	queryexpression : "t1.contract_number <= ${@contract_number_to}"
},
{
	name : 'lease_end_date_from',
	queryexpression : "trunc(t1.lease_end_date) >= to_date(${@lease_end_date_from},'yyyy-mm-dd')"
},
{
	name : 'lease_end_date_to',
	queryexpression : "trunc(t1.lease_end_date) <= to_date(${@lease_end_date_to},'yyyy-mm-dd')"
}
		 ];
var add_datafilters = [ {
	name : 'contract_status',
	expression : "t1.data_class = 'NORMAL' and t1.contract_status in ('ET','AD','TERMINATE')"
} ];

add_datafilter();
override();
